petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatResetPreallocation

Reset mat to use the original nonzero pattern provided by users.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatResetPreallocation(Mat A)

Collective on Mat

### Input Parameters

| A | - the Mat context

### Notes

The allocated memory will be shrunk after calling MatAssembly with MAT_FINAL_ASSEMBLY. Users can reset the preallocation to access the original memory. Currently support MPIAIJ and SEQAIJ.

### See Also

MatSeqAIJSetPreallocation(), MatMPIAIJSetPreallocation(), MatXAIJSetPreallocation()

### Level

beginner

### Location

src/mat/interface/matrix.c

### Examples

src/mat/tutorials/ex4.c.html
src/mat/tutorials/ex4f.F90.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages